L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Oracle Java : vulnérabilités de janvier 2019

Synthèse de la vulnérabilité 

Plusieurs vulnérabilités ont été annoncées dans les produits Oracle.
Produits vulnérables : Debian, VNX Operating Environment, VNX Series, Fedora, AIX, IBM API Connect, IBM i, IRAD, Tivoli Storage Manager, Tivoli System Automation, WebSphere AS Liberty, WebSphere AS Traditional, WebSphere MQ, SnapManager, Java OpenJDK, openSUSE Leap, Java Oracle, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Gravité de cette faille : 3/4.
Nombre de vulnérabilités dans ce bulletin : 4.
Date de création : 16/01/2019.
Références de ce bulletin : CERTFR-2019-AVI-022, cpujan2019, CVE-2019-2422, CVE-2019-2426, CVE-2019-2449, CVE-2019-2540, DLA-1732-1, DSA-2019-131, DSA-4410-1, FEDORA-2019-362387a66d, FEDORA-2019-3f9a71578d, FEDORA-2019-8f2b27efce, FEDORA-2019-96ac060af3, FEDORA-2019-b084fa3ea5, FEDORA-2019-d6717436ee, ibm10873042, ibm10875554, ibm10878234, ibm10878236, ibm10878376, ibm10882598, ibm10884286, ibm10884946, ibm10886063, NTAP-20190118-0001, openSUSE-SU-2019:0161-1, openSUSE-SU-2019:0346-1, openSUSE-SU-2019:1439-1, openSUSE-SU-2019:1500-1, RHSA-2019:0416-01, RHSA-2019:0435-01, RHSA-2019:0436-01, RHSA-2019:0462-01, RHSA-2019:0464-01, RHSA-2019:0469-01, RHSA-2019:0472-01, RHSA-2019:0473-01, RHSA-2019:0474-01, RHSA-2019:1238-01, SUSE-SU-2019:0221-1, SUSE-SU-2019:0574-1, SUSE-SU-2019:0604-1, SUSE-SU-2019:0617-1, SUSE-SU-2019:1219-1, SUSE-SU-2019:1392-1, SUSE-SU-2019:13975-1, SUSE-SU-2019:13978-1, SUSE-SU-2019:2028-1, SUSE-SU-2019:2291-1, SUSE-SU-2019:2371-1, USN-3875-1, USN-3942-1, USN-3949-1, VIGILANCE-VUL-28290, ZDI-19-033.

Description de la vulnérabilité 

Plusieurs vulnérabilités ont été annoncées dans les produits Oracle.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cette alerte de vulnérabilité concerne les logiciels ou systèmes comme Debian, VNX Operating Environment, VNX Series, Fedora, AIX, IBM API Connect, IBM i, IRAD, Tivoli Storage Manager, Tivoli System Automation, WebSphere AS Liberty, WebSphere AS Traditional, WebSphere MQ, SnapManager, Java OpenJDK, openSUSE Leap, Java Oracle, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Notre équipe Vigil@nce a déterminé que la gravité de cette menace est important.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de document.

Ce bulletin concerne 4 vulnérabilités.

Un attaquant avec un niveau de compétence expert peut exploiter ce bulletin cyber-sécurité.

Solutions pour cette menace 

Oracle Java : version 11.0.2.
La version 11.0.2 est corrigée :
  http://www.oracle.com/technetwork/indexes/downloads/index.html
  https://www.oracle.com/technetwork/java/javase/11u-relnotes-5093844.html

Oracle Java : version 8u201.
La version 8u201 est corrigée :
  http://www.oracle.com/technetwork/indexes/downloads/index.html
  http://www.oracle.com/technetwork/java/javase/documentation/8u-relnotes-2225394.html

Oracle Java : version 7u211.
La version 7u211 est corrigée :
  http://www.oracle.com/technetwork/indexes/downloads/index.html
  http://www.oracle.com/technetwork/java/javase/documentation/javase7supportreleasenotes-1601161.html

AIX : patch pour Java.
Un patch est indiqué dans les sources d'information.

Debian 8 : nouveaux paquetages openjdk-7.
De nouveaux paquetages sont disponibles :
  Debian 8 : openjdk-7 7u211-2.6.17-1~deb8u1

Debian 9 : nouveaux paquetages openjdk-8.
De nouveaux paquetages sont disponibles :
  Debian 9 : openjdk-8 8u212-b01-1~deb9u1

Dell EMC VNXe3200 : version 3.1.10.9946299.
La version 3.1.10.9946299 est corrigée :
  https://www.dell.com/

Fedora 28 : nouveaux paquetages java-11-openjdk.
De nouveaux paquetages sont disponibles :
  Fedora 28 : java-11-openjdk 11.0.2.7-0.fc28

Fedora 29 : nouveaux paquetages java-11-openjdk.
De nouveaux paquetages sont disponibles :
  Fedora 29 : java-11-openjdk 11.0.2.7-0.fc29

Fedora : nouveaux paquetages java-1.8.0-openjdk.
De nouveaux paquetages sont disponibles :
  Fedora 28 : java-1.8.0-openjdk 1.8.0.201.b09-2.fc28
  Fedora 29 : java-1.8.0-openjdk 1.8.0.201.b09-2.fc29

Fedora : nouveaux paquetages java-1.8.0-openjdk-aarch32.
De nouveaux paquetages sont disponibles :
  Fedora 28 : java-1.8.0-openjdk-aarch32 1.8.0.201.190124-1.fc28
  Fedora 29 : java-1.8.0-openjdk-aarch32 1.8.0.201.190124-1.fc29

IBM API Connect : solution pour Java.
La solution est indiquée dans les sources d'information.

IBM i : patch pour Java.
Un patch est indiqué dans les sources d'information.

IBM MQ : versions corrigées pour Java.
Les versions corrigées sont indiquées dans les sources d'information.

IBM Rational Application Developer for WebSphere : patch pour Java.
Un patch est indiqué dans les sources d'information.

IBM Spectrum Protect Backup-Archive Client : patch pour Java.
Un patch est indiqué dans les sources d'information.

IBM Tivoli System Automation Application Manager : patch pour Java.
Un patch est indiqué dans les sources d'information.

IBM Tivoli System Automation for Multiplatforms : patch pour Java.
Un patch est disponible :
  https://www-945.ibm.com/support/fixcentral/swg/selectFixes?parent=ibm~Tivoli&product=ibm/Tivoli/Tivoli+System+Automation+for+Multiplatforms&release=All&platform=All&function=all

openSUSE Leap 15.0 : nouveaux paquetages java-11-openjdk.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.0 : java-11-openjdk 11.0.2.0-lp150.2.12.1

openSUSE Leap 15.0 : nouveaux paquetages java-1_8_0-openjdk.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.0 : java-1_8_0-openjdk 1.8.0.201-lp150.2.12.1

openSUSE Leap 42.3 : nouveaux paquetages java-1_7_0-openjdk.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 42.3 : java-1_7_0-openjdk 1.7.0.221-57.1

openSUSE Leap 42.3 : nouveaux paquetages java-1_8_0-openjdk (23/05/2019).
De nouveaux paquetages sont disponibles :
  openSUSE Leap 42.3 : java-1_8_0-openjdk 1.8.0.212-34.1

RHEL 6.10 : nouveaux paquetages java-1.8.0-ibm.
De nouveaux paquetages sont disponibles :
  RHEL 6 : java-1.8.0-ibm 1.8.0.5.30-1jpp.1.el6_10

RHEL 6.10 : nouveaux paquetages java-1.8.0-openjdk.
De nouveaux paquetages sont disponibles :
  RHEL 6 : java-1.8.0-openjdk 1.8.0.201.b09-1.el6_10

RHEL 7.6 : nouveaux paquetages java-11-openjdk.
De nouveaux paquetages sont disponibles :
  RHEL 7 : java-11-openjdk 11.0.2.7-0.el7_6

RHEL 7.6 : nouveaux paquetages java-1.8.0-openjdk.
De nouveaux paquetages sont disponibles :
  RHEL 7 : java-1.8.0-openjdk 1.8.0.201.b09-0.el7_6

RHEL 7 : nouveaux paquetages java-1.8.0-ibm.
De nouveaux paquetages sont disponibles :
  RHEL 7 : java-1.8.0-ibm 1.8.0.5.30-1jpp.1.el7

RHEL 8.0 : nouveaux paquetages java-1.8.0-ibm.
De nouveaux paquetages sont disponibles :
  RHEL 8 : java-1.8.0-ibm 1.8.0.5.35-3.el8_0

RHEL : nouveaux paquetages java-1.7.0-openjdk.
De nouveaux paquetages sont disponibles :
  RHEL 6 : java-1.7.0-openjdk 1.7.0.211-2.6.17.1.el6_10
  RHEL 7 : java-1.7.0-openjdk 1.7.0.211-2.6.17.1.el7_6

RHEL : nouveaux paquetages java-1.7.1-ibm.
De nouveaux paquetages sont disponibles :
  RHEL 6 : java-1.7.1-ibm 1.7.1.4.40-1jpp.1.el6_10
  RHEL 7 : java-1.7.1-ibm 1.7.1.4.40-1jpp.1.el7

SnapManager : solution pour Java.
La solution est indiquée dans les sources d'information.

SUSE LE 11 SP3 : nouveaux paquetages java-1_7_0-ibm.
De nouveaux paquetages sont disponibles :
  SUSE LE 11 SP3 : java-1_7_0-ibm 1.7.0_sr10.40-65.35.1

SUSE LE 11 SP4 : nouveaux paquetages java-1_7_1-ibm.
De nouveaux paquetages sont disponibles :
  SUSE LE 11 SP4 : java-1_7_1-ibm 1.7.1_sr4.40-26.36.1

SUSE LE 12 : nouveaux paquetages java-1_7_0-openjdk.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 RTM : java-1_7_0-openjdk 1.7.0.221-43.22.1
  SUSE LE 12 SP1 : java-1_7_0-openjdk 1.7.0.221-43.22.1
  SUSE LE 12 SP2 : java-1_7_0-openjdk 1.7.0.221-43.22.1
  SUSE LE 12 SP3 : java-1_7_0-openjdk 1.7.0.221-43.22.1
  SUSE LE 12 SP4 : java-1_7_0-openjdk 1.7.0.221-43.22.1

SUSE LE 12 : nouveaux paquetages java-1_7_1-ibm.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 RTM : java-1_7_1-ibm 1.7.1_sr4.40-38.34.1
  SUSE LE 12 SP1 : java-1_7_1-ibm 1.7.1_sr4.40-38.34.1
  SUSE LE 12 SP2 : java-1_7_1-ibm 1.7.1_sr4.40-38.34.1
  SUSE LE 12 SP3 : java-1_7_1-ibm 1.7.1_sr4.40-38.34.1
  SUSE LE 12 SP4 : java-1_7_1-ibm 1.7.1_sr4.40-38.34.1

SUSE LE 12 : nouveaux paquetages java-1_8_0-ibm (13/09/2019).
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP5 : java-1_8_0-ibm 1.8.0_sr5.40-30.54.1
  SUSE LE 12 SP4 : java-1_8_0-ibm 1.8.0_sr5.40-30.54.1
  SUSE LE 12 SP3 : java-1_8_0-ibm 1.8.0_sr5.40-30.54.1
  SUSE LE 12 SP2 : java-1_8_0-ibm 1.8.0_sr5.40-30.54.1
  SUSE LE 12 SP1 : java-1_8_0-ibm 1.8.0_sr5.40-30.54.1

SUSE LE 12 : nouveaux paquetages java-1_8_0-ibm (18/03/2019).
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP1 : java-1_8_0-ibm 1.8.0_sr5.30-30.46.1
  SUSE LE 12 SP2 : java-1_8_0-ibm 1.8.0_sr5.30-30.46.1
  SUSE LE 12 SP3 : java-1_8_0-ibm 1.8.0_sr5.30-30.46.1
  SUSE LE 12 SP4 : java-1_8_0-ibm 1.8.0_sr5.30-30.46.1

SUSE LE 12 : nouveaux paquetages java-1_8_0-openjdk.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP4 : java-1_8_0-openjdk 1.8.0.212-27.32.1
  SUSE LE 12 SP3 : java-1_8_0-openjdk 1.8.0.212-27.32.1
  SUSE LE 12 SP2 : java-1_8_0-openjdk 1.8.0.212-27.32.1
  SUSE LE 12 SP1 : java-1_8_0-openjdk 1.8.0.212-27.32.1

SUSE LE 12 SP4 : nouveaux paquetages java-1_7_0-openjdk.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP4 : java-1_7_0-openjdk 1.7.0.231-43.27.2

SUSE LE 15 : nouveaux paquetages java-11-openjdk.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 RTM : java-11-openjdk 11.0.2.0-3.18.1

SUSE LE 15 : nouveaux paquetages java-1_8_0-ibm.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 RTM : java-1_8_0-ibm 1.8.0_sr5.40-3.24.1
  SUSE LE 15 SP1 : java-1_8_0-ibm 1.8.0_sr5.40-3.24.1

SUSE LE 15 : nouveaux paquetages java-1_8_0-openjdk.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 RTM : java-1_8_0-openjdk 1.8.0.201-3.16.1

Ubuntu 14.04 : nouveaux paquetages openjdk-7-jre.
De nouveaux paquetages sont disponibles :
  Ubuntu 14.04 LTS : openjdk-7-jre 7u211-2.6.17-0ubuntu0.1

Ubuntu 18.04 : nouveaux paquetages openjdk-11-jre.
De nouveaux paquetages sont disponibles :
  Ubuntu 18.04 LTS : openjdk-11-jdk 11.0.2+9-3ubuntu1~18.04.3, openjdk-11-jre 11.0.2+9-3ubuntu1~18.04.3

Ubuntu : nouveaux paquetages openjdk.
De nouveaux paquetages sont disponibles :
  Ubuntu 18.10 : openjdk-11-jre 11.0.1+13-3ubuntu3.18.10.1
  Ubuntu 16.04 LTS : openjdk-8-jre 8u191-b12-2ubuntu0.16.04.1

WebSphere AS : solution pour Java.
La solution est indiquée dans les sources d'information.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit une annonce de vulnérabilités applicatives. La veille sécurité Vigil@nce publie des bulletins de vulnérabilités pour les failles qui impactent le système d'information.